Subject: bug#45502: [PATCH] Prettier key bindings in NS menu entries

From: Mattias Engdegård <[email-masked]>
Date: Wed, 30 Dec 2020 14:12:32 +0100

30 dec. 2020 kl. 13.46 skrev Alan Third <[email-masked]>:

> It looks good to me, so I see no reason not to apply it and see if
> anyone complains.

Good, will do.

> Oh, I noticed that the Mark menu in dired has the Help menu search
> entry. I guess I've missed something somewhere. I wondered if that was
> set somewhere but couldn't see any reference to it so assumed macOS
> was doing something clever when it saw a "Help" top level submenu...

It's on the menu with the same index as Help normally has (because Dired adds multiple menus to the bar); the same effect can be seen in M-x shell. Perhaps we manage to confuse the Cocoa automatics somehow?

> BTW, this isn't a comment on your code, I'm just curious. I notice you
> use C functions within Obj C classes where I would probably have just
> created another method. Is that just because they're dealing with C
> code exclusively or something else?

It's mostly accidental, but it is true that there is a tension between different styles here -- I find plain functions to be fine for doing the job of a function (being a functional programmer at heart helps, of course...) and Objective-C allows it seamlessly. Methods don't bring much when they don't somehow operate on the object state, and they require declaration in the .h file even if only used locally (I might be mistaken here).

Thus no religion here; I can do it either way.